import Taro from "@tarojs/taro"
import { View } from "@tarojs/components"
import './style.less'

export default (props) => {
  const { job } = props
  const handleClick = () => {
    if (job) {
      Taro.navigateTo({ url: '/pages/orderDetail/index' });
    }
  }
  return (
    <View className='Mycell'>
      <View className='cell-header'>{props.header}</View>：
      <View className='cell-body'>{props.children}</View>
      <View className='cell-action' style={{marginRight:job?'30rpx':''}} onClick={handleClick}>{props.action}</View>
    </View>
  )
}
